com.trendmicro.ds.integrity.rest.object

## Class Entity

- java.lang.Object
- - com.trendmicro.ds.integrity.rest.object.Entity

-     public class Entity
      extends java.lang.Object

  Author:
    marty_tsai

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Attribute>` | `getAttribute()` Gets the type value from this Entity
    `java.lang.String` | `getKey()` Gets the key value from this Entity
    `java.lang.String` | `getType()` Gets the type value from this Entity
    `void` | `setAttribute(java.util.List<Attribute> attributeList)` Set the type value to the this Entity.
    `void` | `setKey(java.lang.String key)` Set the key value to the this Entity.
    `void` | `setType(java.lang.String type)` Set the type value to the this Entity.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Entity

          public Entity()

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

      Gets the key value from this Entity
      Returns:
        key

    - #### setKey

          public void setKey(java.lang.String key)

      Set the key value to the this Entity.
      Parameters:
        `key` -

    - #### getType

          public java.lang.String getType()

      Gets the type value from this Entity
      Returns:
        type

    - #### setType

          public void setType(java.lang.String type)

      Set the type value to the this Entity.
      Parameters:
        `type` -

    - #### getAttribute

          public java.util.List<Attribute> getAttribute()

      Gets the type value from this Entity
      Returns:
        attributeList

    - #### setAttribute

          public void setAttribute(java.util.List<Attribute> attributeList)

      Set the type value to the this Entity.
      Parameters:
        `attributeList` -

Copyright © 2017 Trend Micro Inc. All Rights Reserved.